com.sun.jna.platform.win32

## Interface WinDef

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary
  All Known Subinterfaces:
    CoreDLL, Kernel32, User32, WinBase, WinNT, WinUser
  All Known Implementing Classes:
    Kernel32Util

      public interface WinDef
      extends StdCallLibrary

  Ported from Windef.h (various macros and types). Microsoft Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WinDef.ATOM` 16-bit unsigned integer.
    `static class` | `WinDef.BOOL`
    `static class` | `WinDef.BOOLByReference`
    `static class` | `WinDef.BYTE`
    `static class` | `WinDef.CHAR`
    `static class` | `WinDef.CHARByReference`
    `static class` | `WinDef.DWORD` 32-bit unsigned integer.
    `static class` | `WinDef.DWORDByReference`
    `static class` | `WinDef.DWORDLONG` 64-bit unsigned integer.
    `static class` | `WinDef.HBITMAP` Handle to a bitmap.
    `static class` | `WinDef.HBRUSH` Handle to a bitmap.
    `static class` | `WinDef.HCURSOR` Handle to a cursor.
    `static class` | `WinDef.HDC` Handle to a device context (DC).
    `static class` | `WinDef.HFONT` Handle to a font.
    `static class` | `WinDef.HICON` Handle to an icon.
    `static class` | `WinDef.HINSTANCE` Handle to an instance.
    `static class` | `WinDef.HMENU` Handle to a cursor.
    `static class` | `WinDef.HMODULE` Handle to a module.
    `static class` | `WinDef.HPALETTE` Handle to a palette.
    `static class` | `WinDef.HPEN` Handle to a pen.
    `static class` | `WinDef.HRGN` Handle to a region.
    `static class` | `WinDef.HRSRC` Handle to a resource.
    `static class` | `WinDef.HWND` Handle to a window.
    `static class` | `WinDef.INT_PTR` Integer type big enough for a pointer.
    `static class` | `WinDef.LCID`
    `static class` | `WinDef.LONG`
    `static class` | `WinDef.LONGByReference`
    `static class` | `WinDef.LONGLONG`
    `static class` | `WinDef.LONGLONGByReference`
    `static class` | `WinDef.LPARAM` Message parameter.
    `static class` | `WinDef.LPVOID` Message parameter.
    `static class` | `WinDef.LRESULT` Signed result of message processing.
    `static class` | `WinDef.POINT` The Class POINT.
    `static class` | `WinDef.PVOID` The Class PVOID.
    `static class` | `WinDef.RECT` The Class RECT.
    `static class` | `WinDef.SCODE` The Class SCODE.
    `static class` | `WinDef.SCODEByReference`
    `static class` | `WinDef.SHORT` 16-bit short.
    `static class` | `WinDef.UCHAR`
    `static class` | `WinDef.UINT` 32-bit unsigned int.
    `static class` | `WinDef.UINT_PTR` Unsigned INT_PTR.
    `static class` | `WinDef.UINTByReference`
    `static class` | `WinDef.ULONG` 32-bit unsigned integer.
    `static class` | `WinDef.ULONGByReference`
    `static class` | `WinDef.ULONGLONG`
    `static class` | `WinDef.ULONGLONGByReference`
    `static class` | `WinDef.USHORT` 16-bit unsigned short.
    `static class` | `WinDef.USHORTByReference`
    `static class` | `WinDef.WORD` 16-bit unsigned integer.
    `static class` | `WinDef.WORDByReference`
    `static class` | `WinDef.WPARAM` Message parameter.

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_PATH` The max path.

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### MAX_PATH

          static final int MAX_PATH

      The max path.
      See Also:
        Constant Field Values

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.